Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.search.lucene.analysis
Interface Analyzer

All Superinterfaces:
  org.apache.avalon.framework.configuration.Configurable, org.apache.avalon.framework.logger.LogEnabled, java.io.Serializable, org.apache.excalibur.xml.sax.XMLizable

All Known Implementing Classes:
  AbstractAnalyzer, Analyzer_ar, Analyzer_br, Analyzer_cn, Analyzer_cz, Analyzer_de, Analyzer_en, Analyzer_fr, Analyzer_ru, DefaultAnalyzer, Glosser_ar_en, MetaAnalyzer

    public interface Analyzer

extends org.apache.avalon.framework.logger.LogEnabled, org.apache.avalon.framework.configuration.Configurable, java.io.Serializable, org.apache.excalibur.xml.sax.XMLizable

An analyzers is used in indexing and querying for extracting words.

Method Summary
`org.apache.lucene.analysis.TokenStream` | `tokenStream(java.io.Reader reader)` Deprecated. use tokenStream(String, Reader) instead.
`org.apache.lucene.analysis.TokenStream` | `tokenStream(java.lang.String fieldName, java.io.Reader reader)` Creates a TokenStream which tokenizes all the text in the provided Reader.

Methods inherited from interface org.apache.avalon.framework.logger.LogEnabled
`enableLogging`

Methods inherited from interface org.apache.avalon.framework.configuration.Configurable
`configure`

Methods inherited from interface org.apache.excalibur.xml.sax.XMLizable
`toSAX`

Method Detail

### tokenStream

    org.apache.lucene.analysis.TokenStream tokenStream(java.lang.String fieldName,
                                                       java.io.Reader reader)

  Creates a TokenStream which tokenizes all the text in the provided Reader. Default implementation forwards to tokenStream(Reader) for compatibility with older version. Override to allow Analyzer to choose strategy based on document and/or field. Must be able to handle null field name for backward compatibility.

### tokenStream

    org.apache.lucene.analysis.TokenStream tokenStream(java.io.Reader reader)

  Deprecated. use tokenStream(String, Reader) instead.

  Creates a TokenStream which tokenizes all the text in the provided Reader. Provided for backward compatibility only.

  See Also:
    `tokenStream(String, java.io.Reader)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.